Subject: Re: "cell-index" vs. "index" vs. no index in I2C device nodes

From: Timur Tabi <[email-masked]>
Date: Wed, 04 Jun 2008 10:24:15 -0500

Stefan Roese wrote:
> I'm wondering what is currently recommended in the I2C device tree nodes? The 
> current IBM I2C driver (i2c-ibm_iic.c) checks "index" and most FSL dts files 
> use "cell-index". Some 4xx dts files implement "cell-index" some have no 
> index at all.
> 
> So what should be used here. Please advise and I'll prepare a patch for it.

I just posted a patch for the FSL I2C driver to check for cell-index.  I'm under
the impression that cell-index is the standard for enumerating devices in the
device tree.

My vote: any driver that currently checks for index should first check
cell-index, and any device tree that has index should add cell-index.  In time,
we can remove 'index' from the device trees.

-- 
Timur Tabi
Linux kernel developer at Freescale